ServicesProductsResourcesNews
Cross Site Scripting Vulnerability in IBM WebSphere Portal Server & Lotus WCM
Hacktics Research
By Oren Hafif February 24th, 2010
BID: 38412
CVE: CVE-2010-0714

Overview

During a penetration test performed by Hacktics' experts, certain vulnerabilities were identified in an IBM Websphere Portal Server and Lotus Web Content Management deployment. Further research has identified that the login page of the IBM Lotus Workplace Web Content Management is vulnerable to Reflected Cross Site Scripting attacks.

The Finding

An attacker can inject script into a URL pointing at the vulnerable page, and attack system users by sending it to them. Users, who follow the link, will be attacked with the injected script.

Details

The login page takes the query string from the request URL and embeds it into the HTML response as the value of a form field named success. The attack is done by escaping the field (">), followed by the relevant script, as seen in the following URL:

http://[host]:[port]/wps/wcm/webinterface/login/login.jsp?"><script>malicious_script</script><b%20"

Note: The content of this parameter is used as part of a page redirection performed after the login. Even without XSS exploitation, this can be used for invalidated redirection.

Exploit

The exploit is performed by replacing malicious_script with the relevant javascript payload. An evasion for simple XSS signature protection (where applicable), can allow executing the same script without using HTML tags, as seen in the following sample:

http://[host]:[port]/wps/wcm/webinterface/login/login.jsp?" style="tr:expression(malicious_script)

Vendor's Response/Solution

IBM has released a patch for this vulnerability, as well as a proposed workaround. For additional details please refer to:

http://www-01.ibm.com/support/docview.wss?uid=swg21421469

Affected Systems

WebSphere Portal, Lotus Web Content Management and Workspace Web Content Management versions:

6.1.0.0, 6.1.0.1, 6.1.0.2, 6.1.0.3, 6.1.5.0
6.0.1.0, 6.1.0.2, 6.1.0.3, 6.1.0.4, 6.1.0.5, 6.1.0.6, 6.1.0.7
6.0.0.0, 6.0.0.1, 6.0.0.2, 6.0.0.3, 6.0.0.4
5.1.0.0, 5.1.0.1, 5.1.0.2, 5.1.0.3, 5.1.0.4, 5.1.0.5

Lotus Quickr services for WebSphere Portal versions:

8.0, 8.0.0.2, 8.1, 8.1.1, 8.1.1.1

Credit

The vulnerability was discovered by Oren Hafif of Hacktics Ltd.